Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 83280 - memory leak in 2.1.90
Summary: memory leak in 2.1.90
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux Beta
Classification: Retired
Component: gnome-panel
Version: beta3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Brian Stein
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 79579
TreeView+ depends on / blocked
 
Reported: 2003-02-01 13:41 UTC by Brian Stein
Modified: 2013-03-01 05:14 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-12 14:13:31 UTC


Attachments (Terms of Use)

Description Arjan van de Ven 2003-02-01 13:41:47 UTC
Description of problem:

        content = egg_recent_model_read_raw (model, file);
                                                                               
                    
        if (strlen (content) <= 0)
                return NULL;
                                                                               
                    

that leaks memory because a zero length string still occupies memory.
fix:
--- egg-recent-model.c~ 2003-02-01 14:37:50.000000000 +0100
+++ egg-recent-model.c  2003-02-01 14:37:50.000000000 +0100
@@ -717,8 +717,10 @@
  
        content = egg_recent_model_read_raw (model, file);
  
-       if (strlen (content) <= 0)
+       if (strlen (content) <= 0) {
+               g_free(content);
                return NULL;
+       }
  
        parse_info_init (&info);

Comment 1 Havoc Pennington 2003-02-01 15:01:21 UTC
http://bugzilla.gnome.org/show_bug.cgi?id=104988

Comment 2 Alexander Larsson 2003-02-12 14:13:31 UTC
fixed in 2.2.0-1.


Note You need to log in before you can comment on or make changes to this bug.